## The lglVendor Structure

The lglVendor Structure — Vendor definitions

## Functions

lglVendor * | lgl_vendor_new ()
lglVendor * | lgl_vendor_dup ()
void | lgl_vendor_free ()

## Types and Values

struct | lglVendor

## Object Hierarchy

## Includes

    #include <libglabels/lgl-vendor.h>

## Description

This section describes a structure for representing vendor data.

## Functions

### lgl_vendor_new ()

    lglVendor *
    lgl_vendor_new (gchar *name);

Allocates and constructs a new lglVendor structure.

#### Parameters

name | Localized name of vendor. |

#### Returns

a pointer to a newly allocated lglVendor structure.

### lgl_vendor_dup ()

    lglVendor *
    lgl_vendor_dup (const lglVendor *orig);

Duplicates an existing lglVendor structure.

#### Parameters

orig | lglVendor structure to be duplicated. |

#### Returns

a pointer to a newly allocated lglVendor structure.

### lgl_vendor_free ()

    void
    lgl_vendor_free (lglVendor *vendor);

Free all memory associated with an existing lglVendor structure.

#### Parameters

vendor | pointer to lglVendor structure to be freed. |

## Types and Values

### struct lglVendor

    struct lglVendor {
            gchar               *name;           /* Vendor name */
            gchar               *url;            /* Vendor URL */
    };

This structure defines a vendor.

#### Members

gchar *`name`; | Vendor name. (e.g. "Avery") |
gchar *`url`; | URL to vendor website |